This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862233 - hostname contains HOSTNAME=foo
hostname contains HOSTNAME=foo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-10-02 07:47 EDT by Kamil Páral
Modified: 2012-10-16 13:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 13:31:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-ks.cfg (808 bytes, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
anaconda.ifcfg.log (1.23 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
anaconda.log (4.45 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
anaconda.packaging.log (36.29 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
anaconda.program.log (43.31 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
anaconda.storage.log (140.35 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details
syslog (85.26 KB, text/plain)
2012-10-02 07:48 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-10-02 07:47:07 EDT
Description of problem:
I did a minimal installation from PXE, all defaults. After rebooting into the system, my hostname is literally "HOSTNAME=foo".

$ cat /etc/sysconfig/network
# Generated by anaconda
NETWORKING=yes
HOSTNAME=HOSTNAME=dhcp-28.116.brq.redhat.com

This is one bad default hostname :-)

Proposing as Final blocker or NTH.

Version-Release number of selected component (if applicable):
anaconda 18.8
Comment 1 Kamil Páral 2012-10-02 07:48:15 EDT
Created attachment 620241 [details]
anaconda-ks.cfg
Comment 2 Kamil Páral 2012-10-02 07:48:18 EDT
Created attachment 620242 [details]
anaconda.ifcfg.log
Comment 3 Kamil Páral 2012-10-02 07:48:21 EDT
Created attachment 620243 [details]
anaconda.log
Comment 4 Kamil Páral 2012-10-02 07:48:25 EDT
Created attachment 620244 [details]
anaconda.packaging.log
Comment 5 Kamil Páral 2012-10-02 07:48:28 EDT
Created attachment 620245 [details]
anaconda.program.log
Comment 6 Kamil Páral 2012-10-02 07:48:32 EDT
Created attachment 620246 [details]
anaconda.storage.log
Comment 7 Kamil Páral 2012-10-02 07:48:35 EDT
Created attachment 620247 [details]
syslog
Comment 8 Kamil Páral 2012-10-03 03:09:32 EDT
Sorry for being a nitpicker, but the fix is still not in F18 stable repo, and we need to track the progress. Also having this bug on blocker list helps avoiding duplicate reports. Reopening until the fix is pushed to stable.
Comment 9 Kamil Páral 2012-10-03 08:05:32 EDT
This is fixed with F18 Beta TC1 (anaconda 18.11).
Comment 10 Adam Williamson 2012-10-16 13:31:50 EDT
we're well past 18.11 in stable now, so let's close this again.

Note You need to log in before you can comment on or make changes to this bug.